Bug 459392 - f10alpha: boot screen broken
f10alpha: boot screen broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 08:26 EDT by Need Real Name
Modified: 2008-10-27 16:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 14:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-08-18 08:26:14 EDT
Booting into F10 alpha and I get a blue screen with a blue moving bar.
Whatever text is meant to show there is not showing.

On second thoughts, maybe it *should* like this, but it looks like a bug so reporting.
Comment 1 Jeremy Katz 2008-08-18 13:44:04 EDT
Whoops, wrong bug window.  That's what's expected.  The progress output has changed in later rawhide, though and should be more clear
Comment 2 Ray Strode [halfline] 2008-08-18 14:07:52 EDT
Yup it was ugly.  Should be a lot prettier (thanks ajax!) in rawhide (when rawhide composes again)

Of course, we're talking about the text splash here.  With modesetting it looks significantly better and also should be available shortly (for radeon users and intel users)
Comment 3 Need Real Name 2008-08-18 14:20:04 EDT
Thanks.

Any idea when the intel driver will be fixed btw? I am having to use vesa..
Comment 4 Valent Turkovic 2008-10-24 07:48:03 EDT
I'm also seeing only blue bar, and no grub menu before that bar, only black screen.

I have Intel 915GM video card.

If I understand correctly I should see some nice boot graphics, right?
Comment 5 Ray Strode [halfline] 2008-10-24 09:57:27 EDT
The blue bar text mode animation is very old (from the alpha).  You need to reboot to get the better text mode animation.

Unfortunately you won't get nice boot graphics with your video card unless you add vga=0x318 to the kernel command line.

See

http://fedoraproject.org/wiki/Releases/10/Beta/ReleaseNotes#Boot_up

and

https://fedoraproject.org/wiki/Features/BetterStartup
Comment 6 Valent Turkovic 2008-10-25 08:12:37 EDT
I enabled vga=0x318 on my laptop with intel 945gm video card and now I see nice plymouth boot up graphics.

I still see only a black screen instead of grub menu.

I have latest rawhide, I run yum update every few hours :)
Comment 7 Ray Strode [halfline] 2008-10-27 10:56:00 EDT
can you attach your grub.conf ?
Comment 8 Valent Turkovic 2008-10-27 14:23:32 EDT
I got reply on mailing list that this is normal behavior if I don't have dual-boot for another OS. I don't have other os beside Fedora. Do you still need my grub.conf? 

It is on another laptop but I can fire it up and send it if you still need it.
Comment 9 Ray Strode [halfline] 2008-10-27 16:37:22 EDT
No, I don't need your grub.conf.

Was going to see if you had another OS installed, and if not, say this was the correct behavior.

Note You need to log in before you can comment on or make changes to this bug.